Visual LISP, AutoLISP and General Customization
cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 

Create ROTATE PREVIOUS command

2 REPLIES 2
Reply
Message 1 of 3
lkirbyN6K85
160 Views, 2 Replies

Create ROTATE PREVIOUS command

I type too fast and every time I try to move or rotate a previous selection, I end up with "MOP" or "ROP" and an "unknown command" error.

 

What would be the best way to create a command for these and assign an alias to them?  I want to be able to type "ROP", have it select the previous set, then prompt for a basepoint.

2 REPLIES 2
Message 2 of 3
paullimapa
in reply to: lkirbyN6K85

(defun c:ROP ()
 (command "_.ROTATE" "_P" "")
)
(defun c:MOP ()
 (command "_.MOVE" "_P" "")
)

Paul Li
IT Specialist
@The Office
Apps & Publications | Video Demos
Message 3 of 3
Sea-Haven
in reply to: lkirbyN6K85

Yep have the same 6 fingers problem added the typo in this.

 

; GOTO layout just like other goto a page
; By Alan H 2013
; menu command [GOTO]^c^C^p(load "goto")
; enter a big number like 99 to jump to last if 100+ layouts then 123 etc
; Model space is 0 zero GOTO 0

(defun C:goto ( / x alllayouts laynum num)
 (if (not AH:getvalsm)(load "Multi Getvals.lsp"))
(setq num (atoi (nth 0  (AH:getvalsm (list "Go To A Layout" "Enter layout number" 5 4 "1")))))
(setq alllayouts (vla-get-Layouts (vla-get-activedocument (vlax-get-acad-object))))
(SETQ LAYNUM 0)
(vlax-for x alllayouts
(Setq laynum (+ 1 laynum))
) ;total number of layouts
(if (> num laynum)
(setq num (- laynum 1))
)
(vlax-for lay alllayouts
(if (= num (vla-get-taborder lay))
(setvar "ctab" (vla-get-name lay))
)
)
)

; I often type it wrong so added this one also
(defun C:goot ()
(c:goto)
) ; defun

 

Can't find what you're looking for? Ask the community or share your knowledge.

Post to forums  

AutoCAD Inside the Factory


Autodesk Design & Make Report